Package tigase.xmpp.impl.push

# Class JinglePushNotificationsExtension

java.lang.Object
tigase.xmpp.impl.push.JinglePushNotificationsExtension

All Implemented Interfaces:
  `PushNotificationsAware`, `PushNotificationsExtension`, `PushNotificationsFilter`

@Bean(name="jingle", parent=PushNotifications.class, active=true) public class JinglePushNotificationsExtension extends Object implements PushNotificationsExtension, PushNotificationsFilter, PushNotificationsAware

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JinglePushNotificationsExtension()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element[]`
  `getDiscoFeatures()`
  `boolean`
  `isSendingNotificationAllowed(BareJID userJid, XMPPResourceConnection session, Element pushServiceSettings, Packet packet)`
  `void`
  `processEnableElement(Element enableEl, Element settingsEl)`
  `boolean`
  `shouldSendNotification(Packet packet, BareJID userJid, XMPPResourceConnection session)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.xmpp.impl.push.PushNotificationsExtension

  `prepareNotificationPayload, setPushNotifications`

- ## Constructor Details

  - ### JinglePushNotificationsExtension

    public JinglePushNotificationsExtension()

- ## Method Details

  - ### getDiscoFeatures

    public Element[] getDiscoFeatures()
    Specified by:
      `getDiscoFeatures` in interface `PushNotificationsAware`

  - ### processEnableElement

    public void processEnableElement(Element enableEl, Element settingsEl)
    Specified by:
      `processEnableElement` in interface `PushNotificationsAware`

  - ### shouldSendNotification

    public boolean shouldSendNotification(Packet packet, BareJID userJid, XMPPResourceConnection session) throws XMPPException
    Specified by:
      `shouldSendNotification` in interface `PushNotificationsExtension`
    Throws:
      `XMPPException`

  - ### isSendingNotificationAllowed

    public boolean isSendingNotificationAllowed(BareJID userJid, XMPPResourceConnection session, Element pushServiceSettings, Packet packet)
    Specified by:
      `isSendingNotificationAllowed` in interface `PushNotificationsFilter`